package com.ruoyi.common.core.domain.entity;

import com.ruoyi.common.core.domain.entity.SysDept;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.ArrayList;
import java.util.List;

/**
 * 考察配置对象 investigate_disposition
 * 
 * @author ruoyi
 * @date 2023-10-10
 */
public class InvestigateDisposition extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long investigateDispositionId;

    /** 父配置id */
    @Excel(name = "父配置id")
    private Long parentId;

    /** 祖级列表 */
    @Excel(name = "祖级列表")
    private String ancestors;

    /** 显示顺序 */
    @Excel(name = "显示顺序")
    private Integer orderNum;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 链接地址 */
    @Excel(name = "链接地址")
    private String url;

    /** 是否启用 Y:启用 N:不启用 */
    @Excel(name = "是否启用 Y:启用 N:不启用")
    private String status;

    /** 父部门名称 */
    private String parentName;

    /**
     * 考察具体内容
     */
    private String content;

    /** 子部门 */
    private List<InvestigateDisposition> children = new ArrayList<InvestigateDisposition>();

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getParentName()
    {
        return parentName;
    }

    public void setParentName(String parentName)
    {
        this.parentName = parentName;
    }

    public List<InvestigateDisposition> getChildren() {
        return children;
    }

    public void setChildren(List<InvestigateDisposition> children) {
        this.children = children;
    }

    public void setInvestigateDispositionId(Long investigateDispositionId)
    {
        this.investigateDispositionId = investigateDispositionId;
    }

    public Long getInvestigateDispositionId() 
    {
        return investigateDispositionId;
    }
    public void setParentId(Long parentId) 
    {
        this.parentId = parentId;
    }

    public Long getParentId() 
    {
        return parentId;
    }
    public void setAncestors(String ancestors) 
    {
        this.ancestors = ancestors;
    }

    public String getAncestors() 
    {
        return ancestors;
    }
    public void setOrderNum(Integer orderNum) 
    {
        this.orderNum = orderNum;
    }

    public Integer getOrderNum() 
    {
        return orderNum;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return "InvestigateDisposition{" +
                "investigateDispositionId=" + investigateDispositionId +
                ", parentId=" + parentId +
                ", ancestors='" + ancestors + '\'' +
                ", orderNum=" + orderNum +
                ", title='" + title + '\'' +
                ", url='" + url + '\'' +
                ", status='" + status + '\'' +
                ", parentName='" + parentName + '\'' +
                ", content='" + content + '\'' +
                ", children=" + children +
                '}';
    }
}
